classification
Title: distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option() should recognize ${configuration_name}-gcc
Type: Stage:
Components: Distutils Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: tarek Nosy List: Arfrever, tarek
Priority: normal Keywords: patch

Created on 2010-01-01 13:38 by Arfrever, last changed 2010-01-09 00:04 by tarek. This issue is now closed.

Files
File name Uploaded Description Edit
python-distutils-recognize_configuration_names.patch Arfrever, 2010-01-01 13:38 Recognize configuration names
Messages (3)
msg97114 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2010-01-01 13:38
distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option()
currently only recognizes "gcc" or "gcc-${version" (e.g. "gcc-4.4.2"),
but it doesn't recognize "${configuration_name}-gcc" (e.g. "x86_64-pc-
"x86_64-pc-linux-gnu-gcc-4.4.2"). Python is configured with such fully
qualified configuration names in some distributions (e.g. Gentoo).

Configuration names are described in:
http://sourceware.org/autobook/autobook/autobook_17.html
http://www.gnu.org/software/autoconf/manual/html_node/Specifying-
msg97115 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2010-01-01 13:43
This bug tracker removes parts of splitted, long lines when the
previous line was ending with '-' :( .

There should be:

"but it doesn't recognize "${configuration_name}-gcc"
(e.g. "x86_64-pc-linux-gnu-gcc") or
"${configuration_name}-gcc-${version}"
(e.g. "x86_64-pc-linux-gnu-gcc-4.4.2")."

The second URL has 2 parts:
http://www.gnu.org/software/autoconf/manual/html_node/
Specifying-Target-Triplets.html
msg97446 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-01-09 00:04
done in r77377, r77378, r77380, r77381

Thanks!
History
Date User Action Args
2010-01-09 00:04:04tareksetstatus: open -> closed

messages: + msg97446
2010-01-08 20:18:16tareksetpriority: normal
resolution: accepted
2010-01-01 13:43:16Arfreversetmessages: + msg97115
2010-01-01 13:38:04Arfrevercreate